Models
import requests
url = "https://api.example.com/v1/openai/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/openai/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/openai/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodycurl --request GET \
--url https://api.example.com/v1/openai/models \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"object": "model",
"created": 123,
"owned_by": "vlm-run"
}
],
"object": "list"
}List all models
List all available models.
GET
/
v1
/
openai
/
models
Models
import requests
url = "https://api.example.com/v1/openai/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/openai/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/openai/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodycurl --request GET \
--url https://api.example.com/v1/openai/models \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"object": "model",
"created": 123,
"owned_by": "vlm-run"
}
],
"object": "list"
}Our VLM Agents are fully compatible with the OpenAI API. Notably, our API also supports a whole range of features with multi-modal data types that OpenAI currently does not support. Our OpenAI-Compatible endpoint is available at
https://api.vlm.run/v1/openai.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.